summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSam James <sam@gentoo.org>2021-04-10 07:14:00 +0000
committerSam James <sam@gentoo.org>2021-04-10 07:14:00 +0000
commitf5a6979fe1a87f55b485b5d20e7989330e1a7777 (patch)
tree1c4df2470e1417c77cc5f1bdcf11ce9ba1837818
parentautotools.eclass: sync with ::gentoo (diff)
downloadprefix-f5a6979f.tar.gz
prefix-f5a6979f.tar.bz2
prefix-f5a6979f.zip
flag-o-matic.eclass: sync with ::gentoo
Signed-off-by: Sam James <sam@gentoo.org>
-rw-r--r--eclass/flag-o-matic.eclass12
1 files changed, 5 insertions, 7 deletions
diff --git a/eclass/flag-o-matic.eclass b/eclass/flag-o-matic.eclass
index f75a975a08..20ee39d98b 100644
--- a/eclass/flag-o-matic.eclass
+++ b/eclass/flag-o-matic.eclass
@@ -234,10 +234,7 @@ append-fflags() {
append-lfs-flags() {
[[ $# -ne 0 ]] && die "append-lfs-flags takes no arguments"
# see comments in filter-lfs-flags func for meaning of these
- case ${CHOST} in
- *-aix*) append-cppflags -D_LARGE_FILES -D_LARGE_FILE_API ;;
- *) append-cppflags -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE ;;
- esac
+ append-cppflags -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE
}
# @FUNCTION: append-ldflags
@@ -522,13 +519,13 @@ test-flag-PROG() {
"${test_in}" -o "${test_out}"
)
- if ! "${cmdline[@]}" </dev/null &>/dev/null; then
+ if ! "${cmdline[@]}" &>/dev/null; then
# -Werror makes clang bail out on unused arguments as well;
# try to add -Qunused-arguments to work-around that
# other compilers don't support it but then, it's failure like
# any other
cmdline+=( -Qunused-arguments )
- "${cmdline[@]}" </dev/null &>/dev/null
+ "${cmdline[@]}" &>/dev/null
fi
}
@@ -573,7 +570,8 @@ test-flags-PROG() {
while (( $# )); do
case "$1" in
- --param)
+ # '-B /foo': bug # 687198
+ --param|-B)
if test-flag-${comp} "$1" "$2"; then
flags+=( "$1" "$2" )
fi